Package ru.bgcrm.plugin.bgbilling.proto.model.status

# Class ContractStatusLogItem

java.lang.Object
org.bgerp.model.base.Id
ru.bgcrm.plugin.bgbilling.proto.model.status.ContractStatus
ru.bgcrm.plugin.bgbilling.proto.model.status.ContractStatusLogItem

All Implemented Interfaces:
  `Serializable`, `Id<Integer>`, `PeriodSet`

public class ContractStatusLogItem extends ContractStatus

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class org.bgerp.model.base.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContractStatusLogItem()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Date`
  `getDate()`
  `Date`
  `getDate1()`
  `Date`
  `getDate2()`
  `String`
  `getUser()`
  `int`
  `getUserId()`
  `void`
  `setDate(Date time)`
  `void`
  `setDate1(Date date1)`
  `void`
  `setDate2(Date date2)`
  `void`
  `setUser(String user)`
  `void`
  `setUserId(int userId)`

  ### Methods inherited from class ru.bgcrm.plugin.bgbilling.proto.model.status.ContractStatus

  `getComment, getDateFrom, getDateTo, getStatus, getStatusId, setComment, setDateFrom, setDateTo, setStatus, setStatusId`

  ### Methods inherited from class org.bgerp.model.base.Id

  `equals, getId, hashCode, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ContractStatusLogItem

    public ContractStatusLogItem()

- ## Method Details

  - ### getUser

    public String getUser()

  - ### setUser

    public void setUser(String user)

  - ### getUserId

    public int getUserId()

  - ### setUserId

    public void setUserId(int userId)

  - ### getDate

    public Date getDate()

  - ### setDate

    public void setDate(Date time)

  - ### getDate1

    public Date getDate1()

  - ### setDate1

    public void setDate1(Date date1)

  - ### getDate2

    public Date getDate2()

  - ### setDate2

    public void setDate2(Date date2)